Initiate Document Workflow
Initiate a document workflow on a set of documents. If any document is not in the relevant state or does not meet configured field conditions, the API returns INVALID_DATA for the invalid documents and the workflow does not start.
POST
/api/{version}/objects/documents/actions/{workflow_name}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
workflow_name | The document workflow name value. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
documents__sys | Input a comma-separated list of document id field values. Maximum 100 documents. |
participant_name | Enter the participant name and input the user or group id value. For example, approvers__c: user:123,group:234. |
description__sys | Description of the workflow. Maximum 128 characters. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "approver__c: user:83610" \
-d "exec_approver__c: user:10081" \
-d "documents__sys: 56,31,25" \
-d "description__sys: CSR Approval" \
https://myvault.veevavault.com/api/v21.3/objects/documents/actions/Objectworkflow.clinical_study_report_approval__cResponse : Success
Section link for Response : Success{
"responseStatus": "SUCCESS",
"data": {
"record_url": "/api/v21.3/vobjects/envelope__sys/0ER000000000501",
"record_id__v": "0ER000000000501",
"workflow_id": "1301"
}
}Response : Failure
Section link for Response : Failure{
"responseStatus": "FAILURE",
"errors": [
{
"type": "INVALID_DATA",
"message": "Invalid value [94] specified for parameter [documents__sys] : documents are in invalid lifecycles"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following:
| Name | Description |
|---|---|
record_id__v | The id value of the envelope__sys record. |
workflow_id | The workflow id field value. |
Manage Document Workflow Tasks
Section link for Manage Document Workflow TasksDocument workflows share some of the same capabilities as object workflows and are configured on the envelope_sys object. You can use the Object Workflow Tasks endpoints to retrieve document workflow tasks, task details and initiate document workflow tasks.
Remove Documents from Envelope
Section link for Remove Documents from EnvelopeYou can remove one or more documents from an envelope__sys object using the removecontent action in the Initiate Workflow Action endpoint.